%define rname pam

Summary: Ruby extension library for accessing PAM API
Name: ruby-%{rname}
Version: 1.5.2
Release: 7
URL: http://ruby-pam.sourceforge.net/ruby-pam.html
Source0: http://ovh.dl.sourceforge.net/sourceforge/ruby-%{rname}/ruby-%{rname}-%{version}.tar.bz2
License: BSD-like
Group: Development/Ruby

Requires: ruby >= 1.8
BuildRequires: ruby-devel pam-devel

%description
Ruby/PAM is a ruby extension module for accessing pam library.

%prep
%setup -q 

%build
ruby extconf.rb
make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{ruby_sitearchdir}/*.so
%doc COPYING README ChangeLog test/




%changelog
* Wed Oct 26 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.5.2-7
+ Revision: 707397
- try to fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.2-4mdv2008.0
+ Revision: 90262
- rebuild


* Sun Jan 07 2007 Pascal Terjan <pterjan@mandriva.org> 1.5.2-3mdv2007.0
+ Revision: 105065
- mkrel
- Update group
- Use global ruby macros
- Import ruby-pam

* Sat Apr 02 2005 Pascal Terjan <pterjan@mandrake.org> 1.5.2-2mdk
- lib64 fix

* Mon Jan 19 2004 Pascal Terjan <pterjan@mandrake.org> 1.5.2-1mdk 
- first mdk release

